- Home
- API Enriched
- Bot And Threat Defense
- tpm
- Provision
Provision
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/tpm/tpm/provision';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"ak_pub_key":"example","api_key":"example","csr":"example","device":{"name":"example","serial":"example","vendor":"example","version":"example"},"ek_cert":"example","ek_pub_key":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/tpm/tpm/provision \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "ak_pub_key": "example", "api_key": "example", "csr": "example", "device": { "name": "example", "serial": "example", "vendor": "example", "version": "example" }, "ek_cert": "example", "ek_pub_key": "example" }'Provision CustomAPI.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”ProvisionReq defines parameters required for TPM Provisioning Request API.
object
TPM AK Public Key in DER format Required: YES.
API Key allocated to TPM Provisioning (manufacturing) user Required: YES.
Signing request from the manufacturing plant for device TPM provisioning Required: YES.
object
Device Name Required: YES.
Serial Number Required: YES.
Device Vendor Required: YES.
Device Version Required: YES.
TPM EK Certificate in DER format Required: YES.
TPM EK Public Key in DER format Required: YES.
Examplegenerated
{ "ak_pub_key": "example", "api_key": "example", "csr": "example", "device": { "name": "example", "serial": "example", "vendor": "example", "version": "example" }, "ek_cert": "example", "ek_pub_key": "example"}Responses
Section titled “Responses”A successful response.
object
TPM Credential bundle used to decrypt the encrypted AK certificate.
AK Certificate signed by the TPM CA and encrypted according to TPM 2.0 spec.
Nonce used to encrypt the AK certificate.
Examplegenerated
{ "credential_bundle": "example", "encrypted_ak_cert": "example", "nonce": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example